//Copyright(c) 2003-2004, shira.
//All rights reserved.

#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include "ip.h"

void printusage(char *);

main(int argc, char *argv[]) {
  struct ip _ip;
  int       sock ;

  //̓`FbN
  if(argc!=1) {
    printusage(argv[0]);
    exit(1);
  }

  sock=socket(PF_INET, SOCK_RAW, IPPROTO_RAW);
  if(sock<0) {
    perror("Receive socket");
    exit(1);
  }

  for(;;) {
    if(recv(sock, &_ip, sizeof(_ip), 0)<0) {
      printf("Error: Receiving packet.\n");
    }
    printheader(&_ip);
  }

  close(sock);
  exit(0);
}

void printusage(char * p_name) {
  printf("Usage: %s\n", p_name);
  printf("\n");
}

